Package com.independentsoft.office.spreadsheet.formulaParsing

# Enum Class FormulaTokenSubtype

java.lang.Object
java.lang.Enum<FormulaTokenSubtype>
com.independentsoft.office.spreadsheet.formulaParsing.FormulaTokenSubtype

All Implemented Interfaces:
  `Serializable`, `Comparable<FormulaTokenSubtype>`, `Constable`

public enum FormulaTokenSubtype extends Enum<FormulaTokenSubtype>
The Enum FormulaTokenSubtype.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CONCATENATION`
  `ERROR`
  `INTERSECTION`
  `LOGICAL`
  `MATH`
  `NOTHING`
  `NUMBER`
  `RANGE`
  `START`
  `STOP`
  `TEXT`
  `UNION`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FormulaTokenSubtype`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static FormulaTokenSubtype[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NOTHING

    public static final FormulaTokenSubtype NOTHING

  - ### START

    public static final FormulaTokenSubtype START

  - ### STOP

    public static final FormulaTokenSubtype STOP

  - ### TEXT

    public static final FormulaTokenSubtype TEXT

  - ### NUMBER

    public static final FormulaTokenSubtype NUMBER

  - ### LOGICAL

    public static final FormulaTokenSubtype LOGICAL

  - ### ERROR

    public static final FormulaTokenSubtype ERROR

  - ### RANGE

    public static final FormulaTokenSubtype RANGE

  - ### MATH

    public static final FormulaTokenSubtype MATH

  - ### CONCATENATION

    public static final FormulaTokenSubtype CONCATENATION

  - ### INTERSECTION

    public static final FormulaTokenSubtype INTERSECTION

  - ### UNION

    public static final FormulaTokenSubtype UNION

- ## Method Details

  - ### values

    public static FormulaTokenSubtype[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FormulaTokenSubtype valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null